#
# spec file for package gdam (Version 0.939)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  alsa alsa-devel glib glib-devel gtk gtk-devel ladspa libglade libglade-devel libxml libxml-devel mpg123 xf86 xmms
# usedforbuild    aaa_base aaa_dir alsa alsa-devel autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gppshare grep groff gtk gtk-devel gzip kbd ladspa less libglade libglade-devel libtool libxml libxml-devel libz m4 make man mktemp modutils mpg123 ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xmms xshared

Name:         gdam
%define prefix /opt/gnome
%define my_provides /tmp/my-provides
Version:      0.939
Release:      113
Copyright: GPL
Group: Applications/Sound
Summary:      Server-client digital DJ mixing software
BuildRoot: /tmp/%{name}-%{version}-root
URL: http://www.gdam.org/
Source: gdam-%{version}.tar.bz2
Source1: susedoc.tar.bz2
# Patch: gdam.dif
Autoreqprov: on

%description
GDAM (Geoff and Dave's Audio Mixer) is a digital DJ mixing software package,
aimed towards live music remixing and production.
The package includes command-line and gtk+ interfaces.

Authors:
--------
    Dave Benson <daveb@ffem.org>
    Geoff Matters <geoff@ugcs.caltech.edu>

SuSE series: snd

%prep
%setup -a 1
# %patch

%build
%{?suse_update_config:%{suse_update_config -f}}
./configure --prefix=%{prefix}
make docdir=%{_docdir}/%{name}

%install
make install DESTDIR=$RPM_BUILD_ROOT docdir=%{_docdir}/%{name}
make install-data DESTDIR=$RPM_BUILD_ROOT docdir=%{_docdir}/%{name}
cp AUTHORS COPYING CONTRIBUTORS README NEWS TODO $RPM_BUILD_ROOT/%{_docdir}/%{name}
cp susedoc/* $RPM_BUILD_ROOT/%{_docdir}/%{name}
# exclude plugins from the provide-list
cat << EOF > %{my_provides}
grep -v $RPM_BUILD_ROOT%{prefix}/lib/gdam | %{__find_provides}
EOF
chmod 755 %{my_provides}
%define __find_provides %{my_provides}

%clean
rm -rf $RPM_BUILD_ROOT
rm -f %{my_provides}

%files
%{prefix}/lib/libgdam*.so*
%{prefix}/lib/gdam/*.so*
%{prefix}/lib/gdam/plugins/dependencies
%{prefix}/lib/gdam/plugins/*/*.so*
%{prefix}/bin/gdam*
%{prefix}/share/gdam/*
%{prefix}/etc/gdam/*
%doc %{_docdir}/%{name}

%changelog -n gdam
* Tue Jul 24 2001 - mana@suse.de
- updated to 0.939
* Tue May 08 2001 - mana@suse.de
- bugfix for beat calculator (ranges weren't correctly reloaded),
  dif sent by authors
* Mon May 07 2001 - mana@suse.de
- added missing documentation and sample configuration files
* Tue Apr 17 2001 - mana@suse.de
- updated to 0.937 (second version as sent by author)
  This version fixes the playlist bug (segfault when removing
  multiple files)
* Thu Apr 05 2001 - mana@suse.de
- updated to 0.936
* Fri Mar 16 2001 - tiwai@suse.de
- updated to ver.0.935
* Thu Nov 02 2000 - tiwai@suse.de
- Changed for long package-name support.
* Sun Sep 03 2000 - tiwai@suse.de
- Initial version: 0.933
